--- a/src/c/unixint.d
+++ b/src/c/unixint.d
@@ -1404,6 +1404,8 @@
          */
 #ifdef SIGRTMIN
 # define DEFAULT_THREAD_INTERRUPT_SIGNAL SIGRTMIN + 2
+#elif defined(__GNU__)
+# define DEFAULT_THREAD_INTERRUPT_SIGNAL SIGINFO
 #else
 # define DEFAULT_THREAD_INTERRUPT_SIGNAL SIGUSR1
 #endif
